Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 813832 - Review Request: linuxdcpp - linux port of dc++
Summary: Review Request: linuxdcpp - linux port of dc++
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 773511 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-04-18 14:39 UTC by Peter Hatina
Modified: 2016-06-01 01:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-08 14:11:19 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Hatina 2012-04-18 14:39:58 UTC
Spec URL: http://phatina.fedorapeople.org/rpms/linuxdcpp.spec
SRPM URL: http://phatina.fedorapeople.org/rpms/linuxdcpp-1.1.0-1.fc16.src.rpm
Description: Can you, please, do a package review for me?

Comment 1 Gwyn Ciesla 2012-04-18 14:45:23 UTC
In progress. . .

Comment 2 Gwyn Ciesla 2012-04-18 15:43:29 UTC
Good:

- rpmlint checks return:

inuxdcpp.x86_64: W: file-not-utf8 /usr/share/doc/linuxdcpp/Credits.txt
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

Fix.

linuxdcpp.x86_64: W: no-manual-page-for-binary linuxdcpp
Each executable in standard binary directories should have a man page.

Include if this exists.

linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ar/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/bg/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/bs/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ca/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/da/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/el/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/en_CA/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/en_GB/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/et/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/et/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/fi/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/he/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/hr/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/hu/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/id/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/is/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ja/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/km/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ko/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/lt/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/lt/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/lv/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/mk/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ml/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ms/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/nb/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/nl/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/pt/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/pt/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/pt_BR/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ro/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ro/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/sk/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/sl/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/sq/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/sr/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/sv/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/sv/LC_MESSAGES/linuxdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/tr/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/uk/LC_MESSAGES/libdcpp.mo
linuxdcpp.x86_64: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/libdcpp.mo

Use find_lang.

linuxdcpp.x86_64: E: invalid-desktopfile /usr/share/applications/linuxdcpp.desktop value "Network;P2P;FileTransfer;GTK" for string list key "Categories" in group "Desktop Entry" does not have a sem
icolon (';') as trailing character
.desktop file is not valid, check with desktop-file-validate

Fix.

And lots of invalid FSF address.

File a bug upstream.  Not a blocker, but they should fix it in the next release.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR

BuildRequire boost-devel and gettext.

- no unnecessary BR
- no locales

See above.

- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So it's the BuildRequires, desktop file, a non-utf8 file, the translations, and maybe a man page.

Comment 3 Peter Hatina 2012-06-05 18:26:35 UTC
Done. Can you have another look?

Comment 4 Gwyn Ciesla 2012-06-05 19:18:31 UTC
Still need to BuildRequire boost-devel and gettext, and of course the FSF address stuff, but otherwise ready to go.  Fix the BRs and I'll approve.

Comment 5 Peter Hatina 2012-06-06 08:04:20 UTC
Added boost-devel and gettext.

Comment 6 Gwyn Ciesla 2012-06-06 13:25:11 UTC
Excellent, approved.

Comment 7 Peter Hatina 2012-06-18 12:55:53 UTC
Package Change Request
======================
Package Name: linuxdcpp
New Branches: f16 f17
Owners: phatina

Unretire master, please.

Comment 8 Gwyn Ciesla 2012-06-18 13:01:15 UTC
Git done (by process-git-requests).

Unretired.

Comment 9 Gwyn Ciesla 2013-09-06 14:38:39 UTC
Do you intend to import and build this at any point?

Comment 10 Steven Sheehy 2014-07-03 20:27:08 UTC
*** Bug 773511 has been marked as a duplicate of this bug. ***

Comment 11 Miroslav Suchý 2015-07-21 13:34:59 UTC
Ping! Any progress here?

Comment 12 Upstream Release Monitoring 2015-12-06 18:25:44 UTC
pbrobinson's scratch build of linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a for epel7-archbootstrap and git://pkgs.fedoraproject.org/linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12089939

Comment 13 Miroslav Suchý 2016-02-08 14:11:19 UTC
No response. Closing as dead review. If you ever want to continue, please resubmit.
Package is already marked as retired in pkgdb.


Note You need to log in before you can comment on or make changes to this bug.